MS10-065: Vulnerabilities in Microsoft Internet Information Services (IIS) Could Allow Remote Code Execution (2267960)

Medium Nessus Plugin ID 49223


The remote web server may allow remote code execution.


The version of IIS installed on the remote host has the following vulnerabilities :

- Sending a specially crafted request for an ASP page on a website hosted by IIS can result in a denial of service. (CVE-2010-1899)

- Sending a specially crafted HTTP request to an IIS server with FastCGI enabled can result in remote code execution. (CVE-2010-2730)

- Sending a specially crafted request to an IIS server running on Windows XP can allow a remote attacker to bypass the need to authenticate to access restricted resources. (CVE-2010-2731)


Microsoft has released a set of patches for IIS on Windows XP, 2003, Vista, 2008, 7, and 2008 R2.

See Also

Plugin Details

Severity: Medium

ID: 49223

File Name: smb_nt_ms10-065.nasl

Version: $Revision: 1.26 $

Type: local

Agent: windows

Published: 2010/09/14

Modified: 2017/07/26

Dependencies: 13855, 57033

Risk Information

Risk Factor: Medium


Base Score: 6.8

Temporal Score: 5.6

Vector: CVSS2#AV:N/AC:M/Au:N/C:P/I:P/A:P

Temporal Vector: CVSS2#E:F/RL:OF/RC:C

Vulnerability Information

CPE: cpe:/o:microsoft:windows

Required KB Items: SMB/MS_Bulletin_Checks/Possible

Exploit Available: true

Exploit Ease: Exploits are available

Patch Publication Date: 2010/09/14

Vulnerability Publication Date: 2010/07/02

Exploitable With

Core Impact

Reference Information

CVE: CVE-2010-1899, CVE-2010-2730, CVE-2010-2731

BID: 41314, 43138, 43140

OSVDB: 66160, 67978, 67979

IAVA: 2010-A-0120

MSFT: MS10-065

MSKB: 2124261, 2271195, 2290570